vm_name="win10"
license_key="xxxxx-xxxxx-xxxxx-xxxxx-xxxxx"
VBoxManage createvm --name $vm_name --ostype Windows10_64 --register
VBoxManage createmedium --filename /home/simulant/vm/$vm_name/hard-drive.vdi --size 50000
VBoxManage storagectl $vm_name --name 'SATA Controller' --add sata --controller IntelAHCI
VBoxManage storageattach $vm_name --storagectl 'SATA Controller' --port 0 --device 0 --type hdd --medium /home/simulant/vm/$vm_name/hard-drive.vdi
#VBoxManage storageattach $vm_name --storagectl 'SATA Controller' --port 1 --device 0 --type dvddrive --medium host:/dev/cdrom
VBoxManage sharedfolder add $vm_name --name=model --hostpath=/home/simulant/models/none --automount --auto-mount-point=M:
VBoxManage sharedfolder add $vm_name --name=simu_vm --hostpath=/home/simulant/simu_center/simuvm --automount --auto-mount-point=S:
VBoxManage sharedfolder add $vm_name --name=install --hostpath=/home/simulant/simu_center/binary_repo_vm/install --automount --auto-mount-point=I:
VBoxManage sharedfolder add $vm_name --name=update --hostpath=/home/simulant/shared_folders/update --automount --auto-mount-point=U:
ln -s install /home/simulant/shared_folders/install
VBoxManage modifyvm $vm_name --ioapic on \
                             --cpus 4 \
                             --memory 4000 --vram 128 \
                             --graphicscontroller vboxsvga \
                             --nic1 bridged \
                             --bridgeadapter1 eno1 \
                             --largepages on \
                             --pae on \
                             --nestedpaging on \
                             --vtxvpid on

VBoxManage modifyvm $vm_name --nic2 hostonly \
                              --hostonlyadapter2 vboxnet0
VBoxManage unattended install $vm_name --iso=win10.iso \
                                       --user=dummy \
                                       --password=dummy \
                                       --full-user-name=dummy \
                                       --install-additions --locale=de_DE \
                                       --country=DE \
                                       --language=de-DE \
                                       --time-zone=CET \
                                       --key "$license_key" \
                                       --image-index=1 \
                                       --script-template /usr/share/virtualbox/UnattendedTemplates/win_nt6_unattended.xml \
                                       --post-install-template /usr/share/virtualbox/UnattendedTemplates/win_postinstall.cmd \
                                       --post-install-command='I:\os_install\Simu-Box_Prepare_OS.bat'
VBoxManage startvm $vm_name
